"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteCacheParameterGroup_1 = require("../model/operations/DeleteCacheParameterGroup");
var DeleteCacheParameterGroupCommand = /** @class */ (function () {
    function DeleteCacheParameterGroupCommand(input) {
        this.input = input;
        this.model = DeleteCacheParameterGroup_1.DeleteCacheParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteCacheParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteCacheParameterGroupCommand;
}());
exports.DeleteCacheParameterGroupCommand = DeleteCacheParameterGroupCommand;
//# sourceMappingURL=DeleteCacheParameterGroupCommand.js.map