"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListAllowedNodeTypeModifications_1 = require("../model/operations/ListAllowedNodeTypeModifications");
var ListAllowedNodeTypeModificationsCommand = /** @class */ (function () {
    function ListAllowedNodeTypeModificationsCommand(input) {
        this.input = input;
        this.model = ListAllowedNodeTypeModifications_1.ListAllowedNodeTypeModifications;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListAllowedNodeTypeModificationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListAllowedNodeTypeModificationsCommand;
}());
exports.ListAllowedNodeTypeModificationsCommand = ListAllowedNodeTypeModificationsCommand;
//# sourceMappingURL=ListAllowedNodeTypeModificationsCommand.js.map