"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyCacheParameterGroup_1 = require("../model/operations/ModifyCacheParameterGroup");
var ModifyCacheParameterGroupCommand = /** @class */ (function () {
    function ModifyCacheParameterGroupCommand(input) {
        this.input = input;
        this.model = ModifyCacheParameterGroup_1.ModifyCacheParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyCacheParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyCacheParameterGroupCommand;
}());
exports.ModifyCacheParameterGroupCommand = ModifyCacheParameterGroupCommand;
//# sourceMappingURL=ModifyCacheParameterGroupCommand.js.map