/**
 * <p>Describes a name-value pair that is used to update the value of a parameter.</p>
 */
export interface _ParameterNameValue {
    /**
     * <p>The name of the parameter.</p>
     */
    ParameterName?: string;
    /**
     * <p>The value of the parameter.</p>
     */
    ParameterValue?: string;
}
export declare type _UnmarshalledParameterNameValue = _ParameterNameValue;
