import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateCacheSecurityGroupInput } from "../types/CreateCacheSecurityGroupInput";
import { CreateCacheSecurityGroupOutput } from "../types/CreateCacheSecurityGroupOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/CreateCacheSecurityGroupInput";
export * from "../types/CreateCacheSecurityGroupOutput";
export * from "../types/CreateCacheSecurityGroupExceptionsUnion";
export declare class CreateCacheSecurityGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateCacheSecurityGroupInput, OutputTypesUnion, CreateCacheSecurityGroupOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: CreateCacheSecurityGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateCacheSecurityGroupInput, CreateCacheSecurityGroupOutput, Blob>;
    constructor(input: CreateCacheSecurityGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<CreateCacheSecurityGroupInput, CreateCacheSecurityGroupOutput>;
}
