"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyCacheSubnetGroup_1 = require("../model/operations/ModifyCacheSubnetGroup");
var ModifyCacheSubnetGroupCommand = /** @class */ (function () {
    function ModifyCacheSubnetGroupCommand(input) {
        this.input = input;
        this.model = ModifyCacheSubnetGroup_1.ModifyCacheSubnetGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyCacheSubnetGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyCacheSubnetGroupCommand;
}());
exports.ModifyCacheSubnetGroupCommand = ModifyCacheSubnetGroupCommand;
//# sourceMappingURL=ModifyCacheSubnetGroupCommand.js.map