"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchStopUpdateActionInput_1 = require("../shapes/BatchStopUpdateActionInput");
var BatchStopUpdateActionOutput_1 = require("../shapes/BatchStopUpdateActionOutput");
var ServiceUpdateNotFoundFault_1 = require("../shapes/ServiceUpdateNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchStopUpdateAction = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchStopUpdateAction",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchStopUpdateActionInput_1.BatchStopUpdateActionInput
    },
    output: {
        shape: BatchStopUpdateActionOutput_1.BatchStopUpdateActionOutput,
        resultWrapper: "BatchStopUpdateActionResult"
    },
    errors: [
        {
            shape: ServiceUpdateNotFoundFault_1.ServiceUpdateNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=BatchStopUpdateAction.js.map