"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _PreferredAvailabilityZoneList_1 = require("./_PreferredAvailabilityZoneList");
var _CacheSecurityGroupNameList_1 = require("./_CacheSecurityGroupNameList");
var _SecurityGroupIdsList_1 = require("./_SecurityGroupIdsList");
var _TagList_1 = require("./_TagList");
var _SnapshotArnsList_1 = require("./_SnapshotArnsList");
exports.CreateCacheClusterInput = {
    type: "structure",
    required: ["CacheClusterId"],
    members: {
        CacheClusterId: {
            shape: {
                type: "string"
            }
        },
        ReplicationGroupId: {
            shape: {
                type: "string"
            }
        },
        AZMode: {
            shape: {
                type: "string"
            }
        },
        PreferredAvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        PreferredAvailabilityZones: {
            shape: _PreferredAvailabilityZoneList_1._PreferredAvailabilityZoneList
        },
        NumCacheNodes: {
            shape: {
                type: "integer"
            }
        },
        CacheNodeType: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        CacheParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        CacheSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        CacheSecurityGroupNames: {
            shape: _CacheSecurityGroupNameList_1._CacheSecurityGroupNameList
        },
        SecurityGroupIds: {
            shape: _SecurityGroupIdsList_1._SecurityGroupIdsList
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        SnapshotArns: {
            shape: _SnapshotArnsList_1._SnapshotArnsList
        },
        SnapshotName: {
            shape: {
                type: "string"
            }
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        NotificationTopicArn: {
            shape: {
                type: "string"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        SnapshotRetentionLimit: {
            shape: {
                type: "integer"
            }
        },
        SnapshotWindow: {
            shape: {
                type: "string"
            }
        },
        AuthToken: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=CreateCacheClusterInput.js.map