import { AddTagsToResourceInput } from "./AddTagsToResourceInput";
import { AuthorizeCacheSecurityGroupIngressInput } from "./AuthorizeCacheSecurityGroupIngressInput";
import { BatchApplyUpdateActionInput } from "./BatchApplyUpdateActionInput";
import { BatchStopUpdateActionInput } from "./BatchStopUpdateActionInput";
import { CopySnapshotInput } from "./CopySnapshotInput";
import { CreateCacheClusterInput } from "./CreateCacheClusterInput";
import { CreateCacheParameterGroupInput } from "./CreateCacheParameterGroupInput";
import { CreateCacheSecurityGroupInput } from "./CreateCacheSecurityGroupInput";
import { CreateCacheSubnetGroupInput } from "./CreateCacheSubnetGroupInput";
import { CreateReplicationGroupInput } from "./CreateReplicationGroupInput";
import { CreateSnapshotInput } from "./CreateSnapshotInput";
import { DecreaseReplicaCountInput } from "./DecreaseReplicaCountInput";
import { DeleteCacheClusterInput } from "./DeleteCacheClusterInput";
import { DeleteCacheParameterGroupInput } from "./DeleteCacheParameterGroupInput";
import { DeleteCacheSecurityGroupInput } from "./DeleteCacheSecurityGroupInput";
import { DeleteCacheSubnetGroupInput } from "./DeleteCacheSubnetGroupInput";
import { DeleteReplicationGroupInput } from "./DeleteReplicationGroupInput";
import { DeleteSnapshotInput } from "./DeleteSnapshotInput";
import { DescribeCacheClustersInput } from "./DescribeCacheClustersInput";
import { DescribeCacheEngineVersionsInput } from "./DescribeCacheEngineVersionsInput";
import { DescribeCacheParameterGroupsInput } from "./DescribeCacheParameterGroupsInput";
import { DescribeCacheParametersInput } from "./DescribeCacheParametersInput";
import { DescribeCacheSecurityGroupsInput } from "./DescribeCacheSecurityGroupsInput";
import { DescribeCacheSubnetGroupsInput } from "./DescribeCacheSubnetGroupsInput";
import { DescribeEngineDefaultParametersInput } from "./DescribeEngineDefaultParametersInput";
import { DescribeEventsInput } from "./DescribeEventsInput";
import { DescribeReplicationGroupsInput } from "./DescribeReplicationGroupsInput";
import { DescribeReservedCacheNodesInput } from "./DescribeReservedCacheNodesInput";
import { DescribeReservedCacheNodesOfferingsInput } from "./DescribeReservedCacheNodesOfferingsInput";
import { DescribeServiceUpdatesInput } from "./DescribeServiceUpdatesInput";
import { DescribeSnapshotsInput } from "./DescribeSnapshotsInput";
import { DescribeUpdateActionsInput } from "./DescribeUpdateActionsInput";
import { IncreaseReplicaCountInput } from "./IncreaseReplicaCountInput";
import { ListAllowedNodeTypeModificationsInput } from "./ListAllowedNodeTypeModificationsInput";
import { ListTagsForResourceInput } from "./ListTagsForResourceInput";
import { ModifyCacheClusterInput } from "./ModifyCacheClusterInput";
import { ModifyCacheParameterGroupInput } from "./ModifyCacheParameterGroupInput";
import { ModifyCacheSubnetGroupInput } from "./ModifyCacheSubnetGroupInput";
import { ModifyReplicationGroupInput } from "./ModifyReplicationGroupInput";
import { ModifyReplicationGroupShardConfigurationInput } from "./ModifyReplicationGroupShardConfigurationInput";
import { PurchaseReservedCacheNodesOfferingInput } from "./PurchaseReservedCacheNodesOfferingInput";
import { RebootCacheClusterInput } from "./RebootCacheClusterInput";
import { RemoveTagsFromResourceInput } from "./RemoveTagsFromResourceInput";
import { ResetCacheParameterGroupInput } from "./ResetCacheParameterGroupInput";
import { RevokeCacheSecurityGroupIngressInput } from "./RevokeCacheSecurityGroupIngressInput";
import { TestFailoverInput } from "./TestFailoverInput";
export declare type InputTypesUnion = AddTagsToResourceInput | AuthorizeCacheSecurityGroupIngressInput | BatchApplyUpdateActionInput | BatchStopUpdateActionInput | CopySnapshotInput | CreateCacheClusterInput | CreateCacheParameterGroupInput | CreateCacheSecurityGroupInput | CreateCacheSubnetGroupInput | CreateReplicationGroupInput | CreateSnapshotInput | DecreaseReplicaCountInput | DeleteCacheClusterInput | DeleteCacheParameterGroupInput | DeleteCacheSecurityGroupInput | DeleteCacheSubnetGroupInput | DeleteReplicationGroupInput | DeleteSnapshotInput | DescribeCacheClustersInput | DescribeCacheEngineVersionsInput | DescribeCacheParameterGroupsInput | DescribeCacheParametersInput | DescribeCacheSecurityGroupsInput | DescribeCacheSubnetGroupsInput | DescribeEngineDefaultParametersInput | DescribeEventsInput | DescribeReplicationGroupsInput | DescribeReservedCacheNodesInput | DescribeReservedCacheNodesOfferingsInput | DescribeServiceUpdatesInput | DescribeSnapshotsInput | DescribeUpdateActionsInput | IncreaseReplicaCountInput | ListAllowedNodeTypeModificationsInput | ListTagsForResourceInput | ModifyCacheClusterInput | ModifyCacheParameterGroupInput | ModifyCacheSubnetGroupInput | ModifyReplicationGroupInput | ModifyReplicationGroupShardConfigurationInput | PurchaseReservedCacheNodesOfferingInput | RebootCacheClusterInput | RemoveTagsFromResourceInput | ResetCacheParameterGroupInput | RevokeCacheSecurityGroupIngressInput | TestFailoverInput;
